
{
   gROOT->Reset();

   gROOT->Reset();
   gStyle.SetStripDecimals(0);
   gStyle.SetPadLeftMargin(.15);
   gStyle.SetPadRightMargin(.05);
   gStyle.SetPadBottomMargin(.15);
   gStyle->SetOptStat(1);
   gStyle->SetOptFit(0);
   gStyle->SetOptTitle(1); 
   

   TCanvas * c1 = new TCanvas("c1","multipads",800,800);
   gStyle->SetPadBorderMode(0);
   gStyle->SetFrameBorderMode(0);
   Float_t small = 1e-5;
   c1->Divide(1,3,small,small);
   
   TFile *_file0 = TFile::Open("Sept142015/outFile_5layer_0.275mm.root");
   TH1F *h1 = new TH1F("h1","5 layer 0.275mm",200,0.0,0.7);
   h1->GetYaxis()->SetRangeUser(0,6500);

   TFile *_file1 = TFile::Open("Sept142015/outFile_6layer_0.275mm.root");
   TH1F *h2 = new TH1F("h2","6 layer 0.275mm",200,0.0,0.7);
   h2->GetYaxis()->SetRangeUser(0,6500);

   TFile *_file2 = TFile::Open("Sept142015/outFile_7layer_0.300mm.root");
   TH1F *h3 = new TH1F("h3","7 layer 0.300mm",200,0.0,0.7);
   h3->GetYaxis()->SetRangeUser(0,6500);

   TFile *_file3 = TFile::Open("Sept142015/outFile_7layer_0.325mm.root");
   TH1F *h4 = new TH1F("h4","7 layer 0.325mm",200,0.0,0.7);
   h4->GetYaxis()->SetRangeUser(0,6500);

   TFile *_file4 = TFile::Open("Sept142015/outFile_8layer_0.350mm.root");
   TH1F *h5 = new TH1F("h5","8 layer 0.350mm",200,0.0,0.7);
   h5->GetYaxis()->SetRangeUser(0,6500);

   TFile *_file5 = TFile::Open("Sept142015/outFile_8layer_0.375mm.root");
   TH1F *h6 = new TH1F("h6","8 layer 0.375mm",200,0.0,0.7);
   h6->GetYaxis()->SetRangeUser(0,6500);



   _file0->cd();
   EnergyTrack->Project("h1","edep");
   _file1->cd();
   EnergyTrack->Project("h2","edep");
   _file2->cd();
   EnergyTrack->Project("h3","edep");
   _file3->cd();
   EnergyTrack->Project("h4","edep");
   _file4->cd();
   EnergyTrack->Project("h5","edep");
   _file5->cd();
   EnergyTrack->Project("h6","edep");
   
   c1->cd(1);
   gPad->SetBottomMargin(small);
   _file0->cd();
   h1->Draw();
   
   c1->cd(2);
   gPad->SetTopMargin(small);
   gPad->SetBottomMargin(small);
    h2->Draw();

   c1->cd(3);
   gPad->SetTopMargin(small);
    h3->Draw();

    TCanvas * c2 = new TCanvas("c2","multipads",800,800);
   gStyle->SetPadBorderMode(0);
   gStyle->SetFrameBorderMode(0);
   Float_t small = 1e-5;
   c2->Divide(1,3,small,small);

   c2->cd(1);
   gPad->SetTopMargin(small);
   gPad->SetBottomMargin(small);
    h4->Draw();

   c2->cd(2);
   gPad->SetTopMargin(small);
   gPad->SetBottomMargin(small);
   h5->Draw();
   
   c2->cd(3);
   gPad->SetTopMargin(small);
   gPad->SetTickx();
   h6->Draw();


}      
